using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;
using GxPress.Entity.WorkMeeting;

namespace GxPress.Repository.Interface.WorkMeeting
{
    public interface IMeetingLocationRepository : IRepository
    {
        Task<int> InsertAsync(MeetingLocation item);

        Task UpdateAsync(MeetingLocation item);

        Task<IEnumerable<MeetingLocation>> GetListAsync();

        Task<bool> DeleteAsync(int locationId);

        Task<string> GetAddress(int locationId);
    }
}